Package org.gradle.api.component

# Interface ComponentWithVariants

@Incubating public interface ComponentWithVariants
Represents a `SoftwareComponent` that provides one or more mutually exclusive children, or variants.

Since:
  4.3

## Method Summary

Modifier and Type
Method
Description
`Set<? extends SoftwareComponent>`
`getVariants()`

## Method Details

### getVariants

Set<? extends SoftwareComponent> getVariants()